version: "3.7"
services:
  ftpserver:
    container_name: pure-ftpd-app
    image: stilliard/pure-ftpd:latest
    restart: always
    environment:
      PUBLICHOST: $PUBLICHOST
      FTP_USER_NAME: $FTP_USER_NAME
      FTP_USER_PASS: $FTP_USER_PASS
      FTP_USER_HOME: $FTP_USER_HOME
    volumes:
      - ./data/ftp:$FTP_USER_HOME
      - ./data/passwd:/etc/pure-ftpd/passwd
    ports:
      - "${FTP_IP_ADDRESS}:21:21"
      - "${FTP_IP_ADDRESS}:30000:30000"
      - "${FTP_IP_ADDRESS}:30001:30001"
      - "${FTP_IP_ADDRESS}:30002:30002"
      - "${FTP_IP_ADDRESS}:30003:30003"
      - "${FTP_IP_ADDRESS}:30004:30004"
      - "${FTP_IP_ADDRESS}:30005:30005"
      - "${FTP_IP_ADDRESS}:30006:30006"
      - "${FTP_IP_ADDRESS}:30007:30007"
      - "${FTP_IP_ADDRESS}:30008:30008"
      - "${FTP_IP_ADDRESS}:30009:30009"
    hostname: $PUBLICHOST

